Actualisation of K1JT programs

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Actualisation of K1JT programs

kaufmannpeter3
Hi everybody,
I noticed that the wsjt-x package is very outdated in the official repository. Wsjt-x in the Debian repository has version 1.1 but according to the K1JT website version 1.7 is the current one. Can you renew the package please? It would be great if this happens before the new Stretch release.

Another point which should be considered is the inclusion of the wspr-software. It would be great to find a recent wspr-x package in Stretch as well!

Thank you for all the great work for the ham and Debian community!

Peter
Reply | Threaded
Open this post in threaded view
|

Re: Actualisation of K1JT programs

KI7MT
Hi Peter,

This is well in hand. A number of items were preventing updating the
repository version of WSJT-X, most have been resolved. The last
remaining item is Hamlib. Nate and his dev-team are about to release
v3.1, at which point, we can use Hamlib v3.1 to build WSJT-X v7.0~
against (once the version hits the repo of course).

In the interim, I have (2) PPA's covering the package. One to track the
development branch and the other released versions. At present, they are
both at the same svn revision:

Released:
https://launchpad.net/~ki7mt/+archive/ubuntu/wsjtx

Development:
https://launchpad.net/~ki7mt/+archive/ubuntu/wsjtx-next

As for WSPR, WSJT-X includes a new and improved WSPR. It has a new
decoder which is far superior to what is resides WSPR (Python version)
and WSPR-X (QT4/5 version).

There are "many" new features and improvements in WSJT-X v1.7,
including: a new JT65 decoder, EME Modes, etc. See item [1] below.

[1] http://physics.princeton.edu/pulsar/k1jt/v1.7_Features.txt


73's
Greg, KI7MT

----------------------------------------------------------------
Launchpad....: https://launchpad.net/~ki7mt
Ubuntu Hams..: https://launchpad.net/~ubuntu-hams-devel
Debian Hams..: https://alioth.debian.org/projects/pkg-hamradio/
JTSDK........: https://sourceforge.net/projects/jtsdk/
OpenPGP......: C177 6630 7115 78FE 9A2B 9F7F 18C0 F6B7 0DA2 F991


On 12/30/2016 03:54 AM, [hidden email] wrote:

> Hi everybody,
> I noticed that the wsjt-x package is very outdated in the official
> repository. Wsjt-x in the Debian repository has version 1.1 but according
> to the K1JT website version 1.7 is the current one. Can you renew the
> package please? It would be great if this happens before the new Stretch
> release.
>
> Another point which should be considered is the inclusion of the
> wspr-software. It would be great to find a recent wspr-x package in Stretch
> as well!
>
> Thank you for all the great work for the ham and Debian community!
>
> Peter
>

Reply | Threaded
Open this post in threaded view
|

Re: Actualisation of K1JT programs

FanJun Kong-2
thanks KI7MT,

I will test your package on launchpad.
FanJun Kong, BH1SCW

On Sat, Dec 31, 2016 at 3:38 AM, ki7mt <[hidden email]> wrote:
Hi Peter,

This is well in hand. A number of items were preventing updating the
repository version of WSJT-X, most have been resolved. The last
remaining item is Hamlib. Nate and his dev-team are about to release
v3.1, at which point, we can use Hamlib v3.1 to build WSJT-X v7.0~
against (once the version hits the repo of course).

In the interim, I have (2) PPA's covering the package. One to track the
development branch and the other released versions. At present, they are
both at the same svn revision:

Released:
https://launchpad.net/~ki7mt/+archive/ubuntu/wsjtx

Development:
https://launchpad.net/~ki7mt/+archive/ubuntu/wsjtx-next

As for WSPR, WSJT-X includes a new and improved WSPR. It has a new
decoder which is far superior to what is resides WSPR (Python version)
and WSPR-X (QT4/5 version).

There are "many" new features and improvements in WSJT-X v1.7,
including: a new JT65 decoder, EME Modes, etc. See item [1] below.

[1] http://physics.princeton.edu/pulsar/k1jt/v1.7_Features.txt


73's
Greg, KI7MT

----------------------------------------------------------------
Launchpad....: https://launchpad.net/~ki7mt
Ubuntu Hams..: https://launchpad.net/~ubuntu-hams-devel
Debian Hams..: https://alioth.debian.org/projects/pkg-hamradio/
JTSDK........: https://sourceforge.net/projects/jtsdk/
OpenPGP......: C177 6630 7115 78FE 9A2B 9F7F 18C0 F6B7 0DA2 F991


On 12/30/2016 03:54 AM, [hidden email] wrote:
> Hi everybody,
> I noticed that the wsjt-x package is very outdated in the official
> repository. Wsjt-x in the Debian repository has version 1.1 but according
> to the K1JT website version 1.7 is the current one. Can you renew the
> package please? It would be great if this happens before the new Stretch
> release.
>
> Another point which should be considered is the inclusion of the
> wspr-software. It would be great to find a recent wspr-x package in Stretch
> as well!
>
> Thank you for all the great work for the ham and Debian community!
>
> Peter
>